Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.syndication.module
Class BlojsomImplementation

    java.lang.Object
      com.sun.syndication.feed.module.ModuleImpl
          org.blojsom.plugin.syndication.module.BlojsomImplementation

All Implemented Interfaces:
  Blojsom, java.lang.Cloneable, com.sun.syndication.feed.CopyFrom, com.sun.syndication.feed.module.Module, java.io.Serializable

public class BlojsomImplementation
extends com.sun.syndication.feed.module.ModuleImpl
implements Blojsom

Implementation of module for parsing blojsom-specific information using ROME

Since:
  blojsom 3.0
Version:
  $Id: BlojsomImplementation.java,v 1.3 2006/05/04 20:03:53 czarneckid Exp $
Author:
  David Czarnecki
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.blojsom.plugin.syndication.module.Blojsom
`BLOJSOM_URI`

Constructor Summary
`BlojsomImplementation()`

Method Summary
`void` | `copyFrom(java.lang.Object object)`
`boolean` | `getAllowsComments()`
`boolean` | `getAllowsPingbacks()`
`boolean` | `getAllowsTrackbacks()`
`java.lang.String` | `getAuthor()`
`java.util.List` | `getComments()`
`java.lang.Class` | `getInterface()`
`java.util.List` | `getMetadata()`
`java.util.List` | `getPingbacks()`
`java.lang.String` | `getPostSlug()`
`java.lang.String` | `getTechnoratiTags()`
`java.util.List` | `getTrackbacks()`
`java.lang.String` | `getUri()`
`void` | `setAllowsComments(boolean allowsComments)`
`void` | `setAllowsPingbacks(boolean allowsPingbacks)`
`void` | `setAllowsTrackbacks(boolean allowsTrackbacks)`
`void` | `setAuthor(java.lang.String author)`
`void` | `setComments(java.util.List comments)`
`void` | `setMetadata(java.util.List metadata)`
`void` | `setPingbacks(java.util.List pingbacks)`
`void` | `setPostSlug(java.lang.String postSlug)`
`void` | `setTechnoratiTags(java.lang.String technoratiTags)`
`void` | `setTrackbacks(java.util.List trackbacks)`

Methods inherited from class com.sun.syndication.feed.module.ModuleImpl
`clone, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sun.syndication.feed.module.Module
`clone`

Constructor Detail

### BlojsomImplementation

    public BlojsomImplementation()

Method Detail

### getInterface

    public java.lang.Class getInterface()

  Specified by:
    `getInterface` in interface `com.sun.syndication.feed.CopyFrom`

### copyFrom

    public void copyFrom(java.lang.Object object)

  Specified by:
    `copyFrom` in interface `com.sun.syndication.feed.CopyFrom`

### getAuthor

    public java.lang.String getAuthor()

  Specified by:
    `getAuthor` in interface `Blojsom`

### setAuthor

    public void setAuthor(java.lang.String author)

  Specified by:
    `setAuthor` in interface `Blojsom`

### getTechnoratiTags

    public java.lang.String getTechnoratiTags()

  Specified by:
    `getTechnoratiTags` in interface `Blojsom`

### setTechnoratiTags

    public void setTechnoratiTags(java.lang.String technoratiTags)

  Specified by:
    `setTechnoratiTags` in interface `Blojsom`

### getPostSlug

    public java.lang.String getPostSlug()

  Specified by:
    `getPostSlug` in interface `Blojsom`

### setPostSlug

    public void setPostSlug(java.lang.String postSlug)

  Specified by:
    `setPostSlug` in interface `Blojsom`

### getAllowsComments

    public boolean getAllowsComments()

  Specified by:
    `getAllowsComments` in interface `Blojsom`

### setAllowsComments

    public void setAllowsComments(boolean allowsComments)

  Specified by:
    `setAllowsComments` in interface `Blojsom`

### getAllowsTrackbacks

    public boolean getAllowsTrackbacks()

  Specified by:
    `getAllowsTrackbacks` in interface `Blojsom`

### setAllowsTrackbacks

    public void setAllowsTrackbacks(boolean allowsTrackbacks)

  Specified by:
    `setAllowsTrackbacks` in interface `Blojsom`

### getAllowsPingbacks

    public boolean getAllowsPingbacks()

  Specified by:
    `getAllowsPingbacks` in interface `Blojsom`

### setAllowsPingbacks

    public void setAllowsPingbacks(boolean allowsPingbacks)

  Specified by:
    `setAllowsPingbacks` in interface `Blojsom`

### getComments

    public java.util.List getComments()

  Specified by:
    `getComments` in interface `Blojsom`

### setComments

    public void setComments(java.util.List comments)

  Specified by:
    `setComments` in interface `Blojsom`

### getTrackbacks

    public java.util.List getTrackbacks()

  Specified by:
    `getTrackbacks` in interface `Blojsom`

### setTrackbacks

    public void setTrackbacks(java.util.List trackbacks)

  Specified by:
    `setTrackbacks` in interface `Blojsom`

### getPingbacks

    public java.util.List getPingbacks()

  Specified by:
    `getPingbacks` in interface `Blojsom`

### setPingbacks

    public void setPingbacks(java.util.List pingbacks)

  Specified by:
    `setPingbacks` in interface `Blojsom`

### getMetadata

    public java.util.List getMetadata()

  Specified by:
    `getMetadata` in interface `Blojsom`

### setMetadata

    public void setMetadata(java.util.List metadata)

  Specified by:
    `setMetadata` in interface `Blojsom`

### getUri

    public java.lang.String getUri()

  Specified by:
    `getUri` in interface `com.sun.syndication.feed.module.Module`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD